.actor-sheet {
  display: flex;
  padding: 0;
  height: 100%;

  &__character-image {
    flex: 0 0 var(--sidebar-item-height);
    height: var(--sidebar-item-height);
    width: var(--sidebar-item-height);
    background-color: $pink;
    border: none;
    object-fit: cover;
    object-position: 50% 0;
    max-width: none;
  }

  &__data {
    flex-grow: 1;
    gap: .8rem;

    .flex-horizontal {
      gap: 1rem;

      > * {
        flex-grow: 1;
      }
    }

    .stress-trauma {
      display: flex;

      #character-stress {
        min-width: 190px;
        flex-grow: 1;
      }

      #character-trauma {
        min-width: 140px;
      }
    }

    .trauma-list {
      .trauma {
        cursor: pointer;
        font-family: "Raleway", sans-serif;
        font-weight: 600;
        text-transform: uppercase;

        &:hover, &.active {
          color: $red;
        }

        &.active {
          font-weight: bold;
        }
      }
    }

    .character-harm {
      display: flex;
      gap: .3rem;

      h3 {
        @extend %red_header;
        margin-bottom: 0;
      }

      table {
        border: none;
        margin: 0;

        tr {
          border: none;
          border-bottom: 2px solid $red;
        }

        th {
          padding: 0 .4rem;
          background-color: #ebc5c6;
          font-family: "Raleway", sans-serif;
          font-weight: 900;
        }

        td {
          padding: .5rem;
        }

        input {
          border: none;
          border-radius: 0;
          background: none;
          box-shadow: none;
          width: 100%;
          font-size: .9rem;
          padding: .3rem 0;

          &::placeholder {
            font-style: italic;
            opacity: .4;
          }
        }

      }

      .healing-protection {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: .3rem;
        width: 150px;

        h3 {
          font-size: .7rem;
        }
      }

      .healing-clock {
        justify-content: center;
        display: flex;
        gap: .2rem;
        height: 50px;
      }
    }

    .character-joules {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      gap: 1rem;

      h5 {
        font-family: "Raleway", sans-serif;
        font-weight: 600;
        margin: 0 0 .5rem;
        text-align: center;
        text-transform: uppercase;
        font-size: .8rem;
      }
    }

    .character-armor-uses {

      div {
        display: flex;
        flex-direction: row;
        justify-content: space-between;

        input {
          width: 15px;
          height: 15px;
          margin: 0;
        }

        label {
          @include custom_checkbox(15px, #FFF, $red);
        }
      }
    }

    .logo {
      background: url("~assets/logo-htp.svg") no-repeat top left;
      background-size: contain;
      text-indent: -9999px;
      height: 25px;
    }

    .form-control {
      input {
        border-style: solid;
        border-color: $red;
        border-width: 0 0 2px 0;
        border-radius: 0;
        background: none;
        box-shadow: none;
        width: 100%;
        font-size: .9rem;
        padding: .3rem 0;
      }

      label {
        font-family: "Raleway", sans-serif;
        text-transform: uppercase;
        font-weight: 600;
        color: $red;
        margin-top: .3rem;
        display: block;
        font-size: 0.8rem;
      }
    }
  }

  &__playbook {
    width: 450px;
    flex-shrink: 0;
    background-color: $red;
    color: #FFF !important;
    gap: .8rem;

    div.clock {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .clock {
        width: 75px;
      }
    }

    button.clock {
      svg {
        stroke: $almost_white !important;
        fill: $almost_white;
      }
    }

    .character-track {
      h4 {
        background-color: $pink;
        color: #000;
      }

      label[for$="-0"] {
        color: $almost-black;
      }
    }

    h1, h2, h3 {
      text-transform: uppercase;
    }


    h1 {
      font-size: 2rem;
      margin-bottom: .4rem;
    }

    h2 {
      font-size: 1.3rem;
      font-weight: 500;
      margin-bottom: .8rem;
      line-height: 1;
    }

    h3 {
      padding: 0;
    }

    %playbook_column {
      min-width: 50%;

      .item {
        display: flex;
        align-items: center;
        margin: .3rem 0;
        gap: .2rem;
      }
    }


    .friends {
      @extend %playbook_column;

      .item {
        &__friendly {
          cursor: pointer;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 0 7.5px 13.0px 7.5px;
          border-color: transparent transparent #FFF transparent;

          &:hover, &.active {
            border-bottom-color: $selected-box-color;
          }
        }

        &__enemy {
          cursor: pointer;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 13.0px 7.5px 0 7.5px;
          border-color: #FFF transparent transparent;

          &:hover, &.active {
            border-top-color: $selected-box-color;
          }
        }

        &__occupation {
          &:first-letter {
            text-transform: lowercase;
          }
        }
      }
    }

    .loadout {
      .header {
        display: flex;
        justify-content: flex-start;
        gap: .6rem;
        align-items: flex-end;
        margin-bottom: 1rem;
        font-family: "Raleway", sans-serif;

        span {
          font-weight: 900;
          text-transform: uppercase;
        }

        select {
          background: transparent;
          color: #FFF;
          border: none;
          height: auto;

          option {
            background-color: $red;
            color: #FFF;
            border: none;
          }
        }
      }
    }

    .items {
      @extend %playbook_column;
      @extend %items;
    }
  }

  &__stats {
    width: 250px;
    flex-shrink: 0;
    padding: 4rem 0 0;
    gap: 1.5rem;

    .attributes {

      display: flex;
      flex-direction: column;

      .attribute {
        &__actions {
          margin-top: -10px;
          margin-bottom: 1rem;
        }

        &__action {
          display: flex;
          margin: .2rem 0 .2rem .8rem;
          align-items: center;
          @include custom_radio(12px, 12px);

          .cyberware {
            background-color: $red;
          }

          &__label {
            text-transform: uppercase;
            margin: 0 0 0 .5rem;
            font-size: .9rem;
          }
        }
      }

    }

    .generic_items {
      @extend %items;
      overflow: auto;
      padding: .4rem 0;

      .load {
        border: 1px solid $almost_black;
      }

      .item {
        padding: 0 .5rem;
      }


    }
  }

  .name-alias {

    img.portrait {
      max-width: 200px;
      max-height: 200px;
      width: auto;
      height: auto;
    }
  }

  .tab[data-tab] {
    display: none;

    &.active {
      display: block;
    }
  }

  // Stress and Trauma
  .big-teeth-section {

    border-top: 3px solid $almost_black;
    display: flex;
    flex-direction: row;
    margin-bottom: 0px;
    margin-top: 10px;

    > * {
      margin-right: 10px;

      &:last-child {
        margin-right: 0px;
      }
    }

    &:last-child {
      margin-right: 0px;
    }

    // Stress
    .big-teeth {
      @include toothradio(17px, 50px, "~assets/teeth/stresstooth-halfgrey.png", "~assets/teeth/stresstooth-red.png");
    }

    /* Trauma */
    .small-teeth-container {

      .small-teeth-wrap {
        @include toothradio(17px, 50px, "~assets/teeth/shorttooth-grey.png", "~assets/teeth/shorttooth-red.png", false);
        flex-direction: column;

        .small-teeth {
          display: flex;
          flex-direction: row;
        }
      }
    }

    .trauma-list {
      @include check_underscore();
      justify-content: space-between;
      align-items: flex-start;
    }

  }

  .character-stress {
    label {
      &[for$="-0"] {
        margin-right: 0px;
      }
    }
  }

  // Abilities
  .abilities {
    .label-stripe {
      p:first-child {
        margin-right: 10px;
      }
    }

    .experience-clues {

    }
  }

  // Loadout
  .loadout {
    .item-add-popup {
      margin-left: 10px;
    }
  }

  .harm-armor {

    display: flex;

    // Harm
    .character-harm {

      width: 100%;

      table {
        width: 100%;

        th {
          background-color: $almost_black;
          color: $almost_white;
        }

        input[type="text"] {
          width: 100%;
        }
      }
    }

    // Clock
    .character-health-clock {
      margin: 0 auto;
      @include clock(4, 88);
    }
  }

  .name,
  .lair,
  .alias {
    margin-bottom: 10px;
  }

  @import "coins.scss";


}
